Bug 1138866 - Error in foreman/production.log when trying to save a content view in content host Details page
Summary: Error in foreman/production.log when trying to save a content view in content...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Views
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: Unspecified
Assignee: Brad Buckingham
QA Contact: Og Maciel
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-05 20:52 UTC by sthirugn@redhat.com
Modified: 2019-09-26 15:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 09:11:12 UTC
Target Upstream Version:


Attachments (Terms of Use)
foreman production.log (22.09 KB, text/plain)
2014-09-05 21:00 UTC, sthirugn@redhat.com
no flags Details
production.log - Satellite 6.1.1 GA (76.71 KB, text/plain)
2015-08-27 21:24 UTC, Brad Buckingham
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1501 normal SHIPPED_LIVE Red Hat Satellite 6.2 Capsule and Server 2016-07-27 12:28:58 UTC

Description sthirugn@redhat.com 2014-09-05 20:52:26 UTC
Description of problem:
Error in foreman/production.log when trying to save a content view in content host Details page

Version-Release number of selected component (if applicable):
GA Snap 7 - Satellite-6.0.4-RHEL-6-20140829.0

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.9.23-1.el6_5.noarch
* candlepin-common-1.0.1-1.el6_5.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.9.23-1.el6_5.noarch
* candlepin-tomcat6-0.9.23-1.el6_5.noarch
* elasticsearch-0.90.10-6.el6sat.noarch
* foreman-1.6.0.42-1.el6sat.noarch
* foreman-compute-1.6.0.42-1.el6sat.noarch
* foreman-gce-1.6.0.42-1.el6sat.noarch
* foreman-libvirt-1.6.0.42-1.el6sat.noarch
* foreman-ovirt-1.6.0.42-1.el6sat.noarch
* foreman-postgresql-1.6.0.42-1.el6sat.noarch
* foreman-proxy-1.6.0.30-1.el6sat.noarch
* foreman-selinux-1.6.0.14-1.el6sat.noarch
* foreman-vmware-1.6.0.42-1.el6sat.noarch
* katello-1.5.0-30.el6sat.noarch
* katello-ca-1.0-1.noarch
* katello-certs-tools-1.5.6-1.el6sat.noarch
* katello-installer-0.0.62-1.el6sat.noarch
* openldap-2.4.23-34.el6_5.1.x86_64
* openldap-devel-2.4.23-34.el6_5.1.x86_64
* pulp-katello-0.3-4.el6sat.noarch
* pulp-nodes-common-2.4.1-0.5.rc1.el6sat.noarch
* pulp-nodes-parent-2.4.1-0.5.rc1.el6sat.noarch
* pulp-puppet-plugins-2.4.1-0.5.rc1.el6sat.noarch
* pulp-puppet-tools-2.4.1-0.5.rc1.el6sat.noarch
* pulp-rpm-plugins-2.4.1-0.5.rc1.el6sat.noarch
* pulp-selinux-2.4.1-0.5.rc1.el6sat.noarch
* pulp-server-2.4.1-0.5.rc1.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch

How reproducible:
Always

Steps to Reproduce:
1. Select a content host - go to Details page
2. Select a content view - save. Watch foreman/production.log

Actual results:
Error in logs (see attachment)

Expected results:
No error in logs

Additional info:

Comment 1 sthirugn@redhat.com 2014-09-05 21:00:21 UTC
Created attachment 934912 [details]
foreman production.log

Comment 3 Brad Buckingham 2015-08-27 21:23:48 UTC
I have tested this on a Satellite 6.1.1 GA install and am no longer observing
the behavior described.

RPMs:
ruby193-rubygem-katello-2.2.0.66-1.el7sat.noarch
foreman-1.7.2.34-1.el7sat.noarch

Attaching log file for the update scenario.

Comment 4 Brad Buckingham 2015-08-27 21:24:31 UTC
Created attachment 1067880 [details]
production.log - Satellite 6.1.1 GA

Comment 5 Og Maciel 2016-03-24 17:11:47 UTC
Test 1:
-------
Selected an existing content host and clicked its Content View field, which enables it for editing. I left it as it was (ie, did not change its value) and clicked the Save button, which worked fine. Logs are below:


==> /var/log/foreman/production.log <==
2016-03-24 12:28:47 [app] [I] Started PUT "/api/v2/hosts/2" for 10.10.62.185 at 2016-03-24 12:28:47 -0400
2016-03-24 12:28:47 [app] [I] Processing by Api::V2::HostsController#update as JSON
2016-03-24 12:28:47 [app] [I]   Parameters: {"id"=>"2", "host"=>{"name"=>"sleepy.idmqe.lab.eng.bos.redhat.com", "description"=>nil, "content_facet_attributes"=>{"id"=>1, "content_view_id"=>2, "lifecycle_environment_id"=>2}}, "apiv"=>"v2"}

==> /var/log/httpd/foreman-ssl_error_ssl.log <==
[Thu Mar 24 12:28:47.813653 2016] [ssl:warn] [pid 25043] [client 10.10.62.185:59838] AH02227: Failed to set r->user to 'SSL_CLIENT_S_DN_CN', referer: https://cloud-qe-10.idmqe.lab.eng.bos.redhat.com/content_hosts/2/info

==> /var/log/candlepin/candlepin.log <==
2016-03-24 12:28:48,783 [thread=http-bio-8443-exec-4] [req=c13b5db1-8432-4557-b900-dcf6fa4b473c, org=] INFO  org.candlepin.common.filter.LoggingFilter - Request: verb=GET, uri=/candlepin/consumers/eb4794ae-5dcc-48df-be68-eb86fc64d089/compliance
2016-03-24 12:28:48,839 [thread=http-bio-8443-exec-4] [req=c13b5db1-8432-4557-b900-dcf6fa4b473c, org=Default_Organization] INFO  org.candlepin.common.filter.LoggingFilter - Response: status=200, content-type="application/json", time=56
2016-03-24 12:28:48,868 [thread=http-bio-8443-exec-6] [req=a59b0d6b-e7a1-452e-b5ca-aa027d8fbad6, org=] INFO  org.candlepin.common.filter.LoggingFilter - Request: verb=GET, uri=/candlepin/consumers/eb4794ae-5dcc-48df-be68-eb86fc64d089/host
2016-03-24 12:28:48,904 [thread=http-bio-8443-exec-6] [req=a59b0d6b-e7a1-452e-b5ca-aa027d8fbad6, org=Default_Organization] INFO  org.candlepin.common.filter.LoggingFilter - Response: status=204, content-type="null", time=36
2016-03-24 12:28:48,933 [thread=http-bio-8443-exec-8] [req=f296580b-e4ed-4ce5-b2bd-37044f7febf9, org=] INFO  org.candlepin.common.filter.LoggingFilter - Request: verb=GET, uri=/candlepin/consumers/eb4794ae-5dcc-48df-be68-eb86fc64d089/guests
2016-03-24 12:28:48,968 [thread=http-bio-8443-exec-8] [req=f296580b-e4ed-4ce5-b2bd-37044f7febf9, org=Default_Organization] INFO  org.candlepin.common.filter.LoggingFilter - Response: status=400, content-type="application/json", time=36
2016-03-24 12:28:48,999 [thread=http-bio-8443-exec-9] [req=7b696126-d117-4783-b5c3-98d10e5b2bd5, org=] INFO  org.candlepin.common.filter.LoggingFilter - Request: verb=GET, uri=/candlepin/consumers/eb4794ae-5dcc-48df-be68-eb86fc64d089
2016-03-24 12:28:49,065 [thread=http-bio-8443-exec-9] [req=7b696126-d117-4783-b5c3-98d10e5b2bd5, org=Default_Organization] INFO  org.candlepin.common.filter.LoggingFilter - Response: status=200, content-type="application/json", time=66

==> /var/log/foreman/production.log <==
2016-03-24 12:28:49 [app] [I]   Rendered api/v2/hosts/update.json.rabl (453.0ms)
2016-03-24 12:28:49 [app] [I] Completed 200 OK in 1252ms (Views: 445.6ms | ActiveRecord: 67.9ms)

==> /var/log/httpd/foreman-ssl_access_ssl.log <==
10.10.62.185 - - [24/Mar/2016:12:28:47 -0400] "PUT /api/v2/hosts/2 HTTP/1.1" 200 4193 "https://cloud-qe-10.idmqe.lab.eng.bos.redhat.com/content_hosts/2/info" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.11; rv:38.0) Gecko/20100101 Firefox/38.0"


Test 2:
-------
Selected an existing content host and clicked its Content View field, which enables it for editing. I then selected a different content view and clicked the Save button. Everything looks good. Logs below:

==> /var/log/foreman/production.log <==
2016-03-24 13:09:23 [app] [I] Started GET "/katello/api/v2/content_views?environment_id=2&full_result=true&organization_id=1" for 10.10.62.185 at 2016-03-24 13:09:23 -0400
2016-03-24 13:09:23 [app] [I] Processing by Katello::Api::V2::ContentViewsController#index as JSON
2016-03-24 13:09:23 [app] [I]   Parameters: {"environment_id"=>"2", "full_result"=>"true", "organization_id"=>"1", "api_version"=>"v2"}
2016-03-24 13:09:23 [app] [I]   Rendered /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.9/app/views/katello/api/v2/content_views/index.json.rabl within katello/api/v2/layouts/collection (145.5ms)
2016-03-24 13:09:23 [app] [I] Completed 200 OK in 162ms (Views: 137.4ms | ActiveRecord: 12.9ms)

==> /var/log/httpd/foreman-ssl_access_ssl.log <==
10.10.62.185 - - [24/Mar/2016:13:09:23 -0400] "GET /katello/api/v2/content_views?environment_id=2&full_result=true&organization_id=1 HTTP/1.1" 200 739 "https://cloud-qe-10.idmqe.lab.eng.bos.redhat.com/content_hosts/2/info" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.11; rv:38.0) Gecko/20100101 Firefox/38.0"

==> /var/log/httpd/foreman-ssl_error_ssl.log <==
[Thu Mar 24 13:09:23.309523 2016] [ssl:warn] [pid 25039] [client 10.10.62.185:61892] AH02227: Failed to set r->user to 'SSL_CLIENT_S_DN_CN', referer: https://cloud-qe-10.idmqe.lab.eng.bos.redhat.com/content_hosts/2/info

==> /var/log/foreman/production.log <==
2016-03-24 13:09:27 [app] [I] Started PUT "/api/v2/hosts/2" for 10.10.62.185 at 2016-03-24 13:09:27 -0400
2016-03-24 13:09:27 [app] [I] Processing by Api::V2::HostsController#update as JSON
2016-03-24 13:09:27 [app] [I]   Parameters: {"id"=>"2", "host"=>{"name"=>"sleepy.idmqe.lab.eng.bos.redhat.com", "description"=>nil, "content_facet_attributes"=>{"id"=>1, "content_view_id"=>5, "lifecycle_environment_id"=>2}}, "apiv"=>"v2"}

==> /var/log/httpd/foreman-ssl_error_ssl.log <==
[Thu Mar 24 13:09:27.611426 2016] [ssl:warn] [pid 25039] [client 10.10.62.185:61892] AH02227: Failed to set r->user to 'SSL_CLIENT_S_DN_CN', referer: https://cloud-qe-10.idmqe.lab.eng.bos.redhat.com/content_hosts/2/info

==> /var/log/gutterball/gutterball.log <==
2016-03-24 13:09:28,724 [Dispatcher-0-Conn-1] INFO  org.candlepin.gutterball.eventhandler.EventManager - Handling Event<id=8a90e0e953a8b4500153a99a33a70007, timestamp=Thu Mar 24 13:09:28 EDT 2016, target=CONSUMER, type=MODIFIED> with handler: ConsumerHandler

==> /var/log/candlepin/audit.log <==
2016-03-24 13:09:28-0400 principalType=trusteduser principal=foreman_admin target=CONSUMER entityId=8a90e0e953a477590153a530019500a5 type=MODIFIED owner=8a90e0e953a444d00153a4454de60001

==> /var/log/candlepin/candlepin.log <==
2016-03-24 13:09:28,285 [thread=http-bio-8443-exec-9] [req=be5e6a79-84d7-4beb-b646-70dae2d16520, org=] INFO  org.candlepin.common.filter.LoggingFilter - Request: verb=GET, uri=/candlepin/status
2016-03-24 13:09:28,288 [thread=http-bio-8443-exec-9] [req=be5e6a79-84d7-4beb-b646-70dae2d16520, org=] INFO  org.candlepin.common.filter.LoggingFilter - Response: status=200, content-type="application/json", time=3
2016-03-24 13:09:28,314 [thread=http-bio-8443-exec-1] [req=4b81eec2-633a-481c-aedd-69604d000a57, org=] INFO  org.candlepin.common.filter.LoggingFilter - Request: verb=GET, uri=/candlepin/status
2016-03-24 13:09:28,316 [thread=http-bio-8443-exec-1] [req=4b81eec2-633a-481c-aedd-69604d000a57, org=] INFO  org.candlepin.common.filter.LoggingFilter - Response: status=200, content-type="application/json", time=2
2016-03-24 13:09:28,476 [thread=http-bio-8443-exec-10] [req=89d08fb8-e2ed-42cd-9059-131b83a8e50f, org=] INFO  org.candlepin.common.filter.LoggingFilter - Request: verb=PUT, uri=/candlepin/consumers/eb4794ae-5dcc-48df-be68-eb86fc64d089
2016-03-24 13:09:28,553 [thread=http-bio-8443-exec-10] [req=89d08fb8-e2ed-42cd-9059-131b83a8e50f, org=Default_Organization] INFO  org.candlepin.resource.ConsumerResource -    Updating consumer autoheal setting.
2016-03-24 13:09:28,553 [thread=http-bio-8443-exec-10] [req=89d08fb8-e2ed-42cd-9059-131b83a8e50f, org=Default_Organization] INFO  org.candlepin.resource.ConsumerResource -    Updating consumer releaseVer setting.
2016-03-24 13:09:28,555 [thread=http-bio-8443-exec-10] [req=89d08fb8-e2ed-42cd-9059-131b83a8e50f, org=Default_Organization] INFO  org.candlepin.resource.ConsumerResource - Updating environment to: 2-5
2016-03-24 13:09:28,560 [thread=http-bio-8443-exec-10] [req=89d08fb8-e2ed-42cd-9059-131b83a8e50f, org=Default_Organization] INFO  org.candlepin.controller.CandlepinPoolManager - Regenerating #2 entitlement certificates for consumer: Consumer<id=8a90e0e953a477590153a530019500a5, uuid=eb4794ae-5dcc-48df-be68-eb86fc64d089, type=system, name=sleepy.idmqe.lab.eng.bos.redhat.com>
2016-03-24 13:09:28,561 [thread=http-bio-8443-exec-10] [req=89d08fb8-e2ed-42cd-9059-131b83a8e50f, org=Default_Organization] INFO  org.candlepin.controller.CandlepinPoolManager - Marking certificates dirty for entitlement: Entitlement[id=8a90e0e953a477590153a53004f900ab, product=SER0232US, pool=8a90e0e953a477590153a482bb070066, consumer=eb4794ae-5dcc-48df-be68-eb86fc64d089]
2016-03-24 13:09:28,561 [thread=http-bio-8443-exec-10] [req=89d08fb8-e2ed-42cd-9059-131b83a8e50f, org=Default_Organization] INFO  org.candlepin.controller.CandlepinPoolManager - Marking certificates dirty for entitlement: Entitlement[id=8a90e0e953a477590153a53006b100ad, product=1458758030550, pool=8a90e0e953a477590153a4c116a60092, consumer=eb4794ae-5dcc-48df-be68-eb86fc64d089]
2016-03-24 13:09:28,590 [thread=http-bio-8443-exec-10] [req=89d08fb8-e2ed-42cd-9059-131b83a8e50f, org=Default_Organization] INFO  org.candlepin.audit.HornetqEventDispatcher - Sending event: Event [id=null, target=CONSUMER, type=MODIFIED, time=Thu Mar 24 13:09:28 EDT 2016, entity=8a90e0e953a477590153a530019500a5]
2016-03-24 13:09:28,591 [thread=http-bio-8443-exec-10] [req=89d08fb8-e2ed-42cd-9059-131b83a8e50f, org=Default_Organization] INFO  org.candlepin.audit.HornetqEventDispatcher - Created new HornetQ session.
2016-03-24 13:09:28,592 [thread=http-bio-8443-exec-10] [req=89d08fb8-e2ed-42cd-9059-131b83a8e50f, org=Default_Organization] INFO  org.candlepin.audit.HornetqEventDispatcher - Created new HornetQ producer.
2016-03-24 13:09:28,609 [thread=http-bio-8443-exec-10] [req=89d08fb8-e2ed-42cd-9059-131b83a8e50f, org=Default_Organization] INFO  org.candlepin.common.filter.LoggingFilter - Response: status=204, content-type="null", time=133
2016-03-24 13:09:28,704 [thread=http-bio-8443-exec-2] [req=829e5474-155d-4442-b838-a0e5b6747ac3, org=] INFO  org.candlepin.common.filter.LoggingFilter - Request: verb=GET, uri=/candlepin/consumers/eb4794ae-5dcc-48df-be68-eb86fc64d089/compliance
2016-03-24 13:09:28,759 [thread=http-bio-8443-exec-2] [req=829e5474-155d-4442-b838-a0e5b6747ac3, org=Default_Organization] INFO  org.candlepin.common.filter.LoggingFilter - Response: status=200, content-type="application/json", time=55
2016-03-24 13:09:28,786 [thread=http-bio-8443-exec-4] [req=bb3d2f86-bf3e-49f0-b870-0feb30163653, org=] INFO  org.candlepin.common.filter.LoggingFilter - Request: verb=GET, uri=/candlepin/consumers/eb4794ae-5dcc-48df-be68-eb86fc64d089/host
2016-03-24 13:09:28,822 [thread=http-bio-8443-exec-4] [req=bb3d2f86-bf3e-49f0-b870-0feb30163653, org=Default_Organization] INFO  org.candlepin.common.filter.LoggingFilter - Response: status=204, content-type="null", time=36
2016-03-24 13:09:28,851 [thread=http-bio-8443-exec-8] [req=3c15fac6-1613-449a-a3a8-43bbdaf2f1a4, org=] INFO  org.candlepin.common.filter.LoggingFilter - Request: verb=GET, uri=/candlepin/consumers/eb4794ae-5dcc-48df-be68-eb86fc64d089/guests
2016-03-24 13:09:28,886 [thread=http-bio-8443-exec-8] [req=3c15fac6-1613-449a-a3a8-43bbdaf2f1a4, org=Default_Organization] INFO  org.candlepin.common.filter.LoggingFilter - Response: status=400, content-type="application/json", time=35
2016-03-24 13:09:28,920 [thread=http-bio-8443-exec-9] [req=f13e05f2-1480-4e05-9803-03ef09f0e029, org=] INFO  org.candlepin.common.filter.LoggingFilter - Request: verb=GET, uri=/candlepin/consumers/eb4794ae-5dcc-48df-be68-eb86fc64d089
2016-03-24 13:09:28,982 [thread=http-bio-8443-exec-9] [req=f13e05f2-1480-4e05-9803-03ef09f0e029, org=Default_Organization] INFO  org.candlepin.common.filter.LoggingFilter - Response: status=200, content-type="application/json", time=62

==> /var/log/foreman/production.log <==
2016-03-24 13:09:28 [app] [I]   Rendered api/v2/hosts/update.json.rabl (581.8ms)
2016-03-24 13:09:28 [app] [I] Completed 200 OK in 1355ms (Views: 555.5ms | ActiveRecord: 102.2ms)

==> /var/log/httpd/foreman-ssl_access_ssl.log <==
10.10.62.185 - - [24/Mar/2016:13:09:27 -0400] "PUT /api/v2/hosts/2 HTTP/1.1" 200 4205 "https://cloud-qe-10.idmqe.lab.eng.bos.redhat.com/content_hosts/2/info" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.11; rv:38.0) Gecko/20100101 Firefox/38.0"

Comment 6 Og Maciel 2016-03-24 17:14:25 UTC
Verified on Satellite 6.2.0 SNAP 5.1

Comment 9 errata-xmlrpc 2016-07-27 09:11:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1501


Note You need to log in before you can comment on or make changes to this bug.